Bug 20326 - CVE-2009-1932 GStreamer Good Plug-ins PNG Processing Integer Overflow Vulnerability
: CVE-2009-1932 GStreamer Good Plug-ins PNG Processing Integer Overflow Vulnera...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gst-plugins-good)
: unstable
: all Linux
: P3 blocker
Assigned To:
:
: http://secunia.com/advisories/35205
: security
:
:
  Show dependency tree
 
Reported: 2009-06-04 23:41 by
Modified: 2009-06-06 22:15 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-06-04 23:41:49
Была обнаружена уязвимость в GStreamer Good Plug-ins, которая может быть
использована, что скомпрометировать приложение, использующее библиотеку.

Уязвимость вызвана наличием целочисленного переполнения в
ext/libpng/gstpngdec.c, которое может вызвать переполнение буфера при обработке
специально сформированного PNG файла, что позволяет выполнить произвольный код.

Исправление доступно в git:
http://cgit.freedesktop.org/gstreamer/gst-plugins-good/commit/?id=d9544bcc44adcef769cbdf7f6453e140058a3adc
------- Comment #1 From 2009-06-05 05:28:05 -------
gst-plugins-good-0.10.15-alt2 -> sisyphus:

* Thu Jun 04 2009 Valery Inozemtsev <shrek@altlinux> 0.10.15-alt2

- fixed SA35205 security advisory (closes: #20326)